<?php

use Illuminate\Database\Seeder;

class CelebsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('celebs')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'celebs.celebs.view',
                'name'      => 'View Celebs',
            ],
            [
                'slug'      => 'celebs.celebs.create',
                'name'      => 'Create Celebs',
            ],
            [
                'slug'      => 'celebs.celebs.edit',
                'name'      => 'Update Celebs',
            ],
            [
                'slug'      => 'celebs.celebs.delete',
                'name'      => 'Delete Celebs',
            ],
            /*
            [
                'slug'      => 'celebs.celebs.verify',
                'name'      => 'Verify Celebs',
            ],
            [
                'slug'      => 'celebs.celebs.approve',
                'name'      => 'Approve Celebs',
            ],
            [
                'slug'      => 'celebs.celebs.publish',
                'name'      => 'Publish Celebs',
            ],
            [
                'slug'      => 'celebs.celebs.unpublish',
                'name'      => 'Unpublish Celebs',
            ],
            [
                'slug'      => 'celebs.celebs.cancel',
                'name'      => 'Cancel Celebs',
            ],
            [
                'slug'      => 'celebs.celebs.archive',
                'name'      => 'Archive Celebs',
            ],
            */
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/celebs/celebs',
                'name'        => 'Celebs',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/celebs/celebs',
                'name'        => 'Celebs',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'celebs',
                'name'        => 'Celebs',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'celebs.celebs.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
