This is a Laravel 5 package that provides celeb management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `celebs/celeb`.

    "celebs/celeb": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Celebs\Celeb\Providers\CelebServiceProvider::class,

```

And also add it to alias

```php
'Celeb'  => Celebs\Celeb\Facades\Celeb::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Celebs\Celeb\Providers\CelebServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Celebs\Celeb\Providers\CelebServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Celebs\Celeb\Providers\CelebServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Celebs\Celeb\Providers\CelebServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Celebs\Celeb\Providers\CelebServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Celebs\Celeb\Providers\CelebServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


