<?php

// Admin routes  for celebs
Route::group(['prefix' => 'admin/celebs'], function () {
    Route::resource('celebs', 'CelebsAdminController');
});

// User routes for celebs
Route::group(['prefix' => 'user/celebs'], function () {
    Route::resource('celebs', 'CelebsUserController');
});

// Public routes for celebs
Route::group(['prefix' => 'celebs'], function () {
    Route::get('/', 'CelebsPublicController@index');
    Route::get('/{slug?}', 'CelebsPublicController@show');
});


// Admin routes  for occupation
Route::group(['prefix' => 'admin/celebs'], function () {
    Route::resource('occupation', 'OccupationAdminController');
});

// User routes for occupation
Route::group(['prefix' => 'user/celebs'], function () {
    Route::resource('occupation', 'OccupationUserController');
});

// Public routes for occupation
Route::group(['prefix' => 'celebs'], function () {
    Route::get('/', 'OccupationPublicController@index');
    Route::get('/{slug?}', 'OccupationPublicController@show');
});


// Admin routes  for cel_ocu
Route::group(['prefix' => 'admin/celebs'], function () {
    Route::resource('cel_ocu', 'CelOcuAdminController');
});

// User routes for cel_ocu
Route::group(['prefix' => 'user/celebs'], function () {
    Route::resource('cel_ocu', 'CelOcuUserController');
});

// Public routes for cel_ocu
Route::group(['prefix' => 'celebs'], function () {
    Route::get('/', 'CelOcuPublicController@index');
    Route::get('/{slug?}', 'CelOcuPublicController@show');
});

