<?php

namespace Celebs\Celebs\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CelebsListTransformer extends TransformerAbstract
{
    public function transform(\Celebs\Celebs\Models\Celebs $celebs)
    {
        return [
            'id'                => $celebs->getRouteKey(),
            'name'              => $celebs->name,
            'surname'           => $celebs->surname,
            'starmeter'         => $celebs->starmeter,
            'status'            => trans('app.'.$celebs->status),
            'created_at'        => format_date($celebs->created_at),
            'updated_at'        => format_date($celebs->updated_at),
        ];
    }
}