<?php

use Illuminate\Database\Seeder;

class CelOcuTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('cel_ocus')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'celebs.cel_ocu.view',
                'name'      => 'View CelOcu',
            ],
            [
                'slug'      => 'celebs.cel_ocu.create',
                'name'      => 'Create CelOcu',
            ],
            [
                'slug'      => 'celebs.cel_ocu.edit',
                'name'      => 'Update CelOcu',
            ],
            [
                'slug'      => 'celebs.cel_ocu.delete',
                'name'      => 'Delete CelOcu',
            ],
            /*
            [
                'slug'      => 'celebs.cel_ocu.verify',
                'name'      => 'Verify CelOcu',
            ],
            [
                'slug'      => 'celebs.cel_ocu.approve',
                'name'      => 'Approve CelOcu',
            ],
            [
                'slug'      => 'celebs.cel_ocu.publish',
                'name'      => 'Publish CelOcu',
            ],
            [
                'slug'      => 'celebs.cel_ocu.unpublish',
                'name'      => 'Unpublish CelOcu',
            ],
            [
                'slug'      => 'celebs.cel_ocu.cancel',
                'name'      => 'Cancel CelOcu',
            ],
            [
                'slug'      => 'celebs.cel_ocu.archive',
                'name'      => 'Archive CelOcu',
            ],
            */
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/celebs/cel_ocu',
                'name'        => 'CelOcu',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/celebs/cel_ocu',
                'name'        => 'CelOcu',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'cel_ocu',
                'name'        => 'CelOcu',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'celebs.cel_ocu.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
