<?php

use Illuminate\Database\Seeder;

class OccupationTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('occupations')->insert([
            [
                                    "occup_name"          => 'vg',
                                    ],
            [
                                    "occup_name"          => 'bh',
                                    ],
            [
                                    "occup_name"          => 'vg',
                                    ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'celebs.occupation.view',
                'name'      => 'View Occupation',
            ],
            [
                'slug'      => 'celebs.occupation.create',
                'name'      => 'Create Occupation',
            ],
            [
                'slug'      => 'celebs.occupation.edit',
                'name'      => 'Update Occupation',
            ],
            [
                'slug'      => 'celebs.occupation.delete',
                'name'      => 'Delete Occupation',
            ],
            /*
            [
                'slug'      => 'celebs.occupation.verify',
                'name'      => 'Verify Occupation',
            ],
            [
                'slug'      => 'celebs.occupation.approve',
                'name'      => 'Approve Occupation',
            ],
            [
                'slug'      => 'celebs.occupation.publish',
                'name'      => 'Publish Occupation',
            ],
            [
                'slug'      => 'celebs.occupation.unpublish',
                'name'      => 'Unpublish Occupation',
            ],
            [
                'slug'      => 'celebs.occupation.cancel',
                'name'      => 'Cancel Occupation',
            ],
            [
                'slug'      => 'celebs.occupation.archive',
                'name'      => 'Archive Occupation',
            ],
            */
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/celebs/occupation',
                'name'        => 'Occupation',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/celebs/occupation',
                'name'        => 'Occupation',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'occupation',
                'name'        => 'Occupation',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'celebs.occupation.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
