This is a Laravel 5 package that provides celebs management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `celebs/celebs`.

    "celebs/celebs": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Celebs\Celebs\Providers\CelebsServiceProvider::class,

```

And also add it to alias

```php
'Celebs'  => Celebs\Celebs\Facades\Celebs::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Celebs\Celebs\Providers\CelebsServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Celebs\Celebs\Providers\CelebsServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Celebs\Celebs\Providers\CelebsServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Celebs\Celebs\Providers\CelebsServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Celebs\Celebs\Providers\CelebsServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Celebs\Celebs\Providers\CelebsServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


