<div class="container">
    <h1> Celebs</h1>

    <div class="row">
        <div class="col-md-8">
            @forelse($celebs as $celebs)
            <div class="card-box">
                <div class="row">
                    <div class="col-md-6">
                        <h4 class="text-dark  header-title m-t-0"> {!! $celebs['name'] !!} </h4>
                    </div>
                    <div class="col-md-6">
                        <a href="{{ trans_url('celebs') }}/{!! $celebs->getPublicKey() !!}" class="btn btn-default pull-right"> {{ trans('app.details')  }}</a>
                    </div>
                </div>
                <hr/>

                <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="name">
                    {!! trans('celebs::celebs.label.name') !!}
                </label><br />
                    {!! $celebs['name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="surname">
                    {!! trans('celebs::celebs.label.surname') !!}
                </label><br />
                    {!! $celebs['surname'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="starmeter">
                    {!! trans('celebs::celebs.label.starmeter') !!}
                </label><br />
                    {!! $celebs['starmeter'] !!}
            </div>
        </div>
    </div>
            </div>
            @empty
            <div class="card-box">
                <p class="text-muted m-b-25 font-13">
                    Your search for <b>'{{Request::get('search')}}'</b> returned empty result.
                </p>
            </div>
            @endif
            {{$celebs->render()}}
        </div>
        <div class="col-md-4">
            @include('celebs::public.celebs.aside')
        </div>
    </div>
</div>