<div class="container">
    <h1> Occupations</h1>

    <div class="row">
        <div class="col-md-8">
            @forelse($occupations as $occupation)
            <div class="card-box">
                <div class="row">
                    <div class="col-md-6">
                        <h4 class="text-dark  header-title m-t-0"> {!! $occupation['name'] !!} </h4>
                    </div>
                    <div class="col-md-6">
                        <a href="{{ trans_url('celebs') }}/{!! $occupation->getPublicKey() !!}" class="btn btn-default pull-right"> {{ trans('app.details')  }}</a>
                    </div>
                </div>
                <hr/>

                <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="occup_name">
                    {!! trans('celebs::occupation.label.occup_name') !!}
                </label><br />
                    {!! $occupation['occup_name'] !!}
            </div>
        </div>
    </div>
            </div>
            @empty
            <div class="card-box">
                <p class="text-muted m-b-25 font-13">
                    Your search for <b>'{{Request::get('search')}}'</b> returned empty result.
                </p>
            </div>
            @endif
            {{$celebs->render()}}
        </div>
        <div class="col-md-4">
            @include('celebs::public.occupation.aside')
        </div>
    </div>
</div>