<?php

namespace Celebs\Celebs\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
// use Litepie\Workflow\Model\Workflow;

class CelOcu extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;
    // use Workflow;

    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'celebs.celebs.cel_ocu';


    /**
     * The f1 that belong to the cel_ocu.
     */
    public function f1(){
        return $this->hasOne('Celebs\CelOcu\Models\Celebs');
    }


    /**
     * The f2 that belong to the cel_ocu.
     */
    public function f2(){
        return $this->hasOne('Celebs\CelOcu\Models\Occupation');
    }
}
