<?php

namespace Celebs\Celebs\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CelOcuItemTransformer extends TransformerAbstract
{
    public function transform(\Celebs\Celebs\Models\CelOcu $cel_ocu)
    {
        return [
            'id'                => $cel_ocu->getRouteKey(),
            'celebsID'          => $cel_ocu->celebsID,
            'occupationID'      => $cel_ocu->occupationID,
            'status'            => trans('app.'.$cel_ocu->status),
            'created_at'        => format_date($cel_ocu->created_at),
            'updated_at'        => format_date($cel_ocu->updated_at),
        ];
    }
}