<?php

namespace Celebs\Celebs\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OccupationItemTransformer extends TransformerAbstract
{
    public function transform(\Celebs\Celebs\Models\Occupation $occupation)
    {
        return [
            'id'                => $occupation->getRouteKey(),
            'occup_name'        => $occupation->occup_name,
            'status'            => trans('app.'.$occupation->status),
            'created_at'        => format_date($occupation->created_at),
            'updated_at'        => format_date($occupation->updated_at),
        ];
    }
}